Subject: RE: Signals in B18
From: [email-masked] (Sergey Okhapkin)

13 May 1997 01:42:14 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "'Giovanni Maruzzelli'" <[email-masked]>
Original-Cc: "[email-masked]" <[email-masked]>
Encoding: 23 TEXT
Original-Sender: [email-masked]

Giovanni Maruzzelli wrote:
> > > I'm having lot of troubles with signals. I mean, I would like to make 
my
> > > apps react to signal like SIGTERM, SIGHUP, SIGKILL.
> > These signals are supported on NT only.
>
> I forgot to say that I use NT 4.0 no service pack
>

What troubles with signals do you have? The simpliest way to check signal 
support is to run bash, enter

trap "echo SIGINT" SIGINT

and press Ctrl-C. Bash must complain about receiving SIGINT signal. This 
should work on both W95 and NT. Or run "kill -1 bash's PID" from within 
another window. The second case works on NT only.

--
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".